/*Temporaire*/
:root {
    --highlight-color: #FF6551;
    --text-dark: #212529;
    --font-primary: "Montserrat", sans-serif;
}

#residency_banner {
    background-size: cover;
    background-position: center;

}
#residency_banner .residency_banner {
    height: 300px;
}

#residency_banner .residency_name h1 {
    box-decoration-break: clone;
    -webkit-box-decoration-break: clone;
    font-size: 20px !important;
    line-height: 1.5!important;
}

#residency_banner .residency_info {
    font-size: 14px;
}

.residency_virtual_visit span {
    display: none;
}


#residency_banner .residency_address img {
    height: 26px;
    width: 20px;
}

#residency_banner .residency_virtual_visit img {
    height: 26px;
    width: 40px;
}

.housing_selector_item {
    border: 3px solid #000;
    max-width: 170px;
    cursor: pointer;
    width: calc(50% - 10px);
    min-height: 170px;
}

.housing_selector_item:hover {
    border: 3px solid var(--highlight-color);
}


.housing_selector_item.active {
    border: 3px solid var(--highlight-color);
}

.housing_selector_item:hover .housing_type,
.housing_selector_item:hover .housing_area,
.housing_selector_item:hover .housing_furniture,
.housing_selector_item:hover .housing_price {
    font-weight: bold !important;
}

.housing_selector_item.active .housing_type,
.housing_selector_item.active .housing_area,
.housing_selector_item.active .housing_furniture,
.housing_selector_item.active .housing_price {
    font-weight: bold !important
}

.housing_selector_item .housing_type {
    text-align: center;
    font-size: 17px;
}

.housing_selector_item .housing_dispo {
    font-weight: bold;
    font-size: 13px;
    text-transform: uppercase;
    color: #ff6551;
}

.housing_single .housing_dispo_text {
    font-size: 16px;
}

.housing_selector_item .housing_selector_banners .housing_selector_banner {
    font-size:12px;
}

.housing_selector_item .housing_selector_banners .housing_selector_banner_dispo {
    background-color:#fadaa0;
    color:#8d5600;
}

.housing_selector_item .housing_selector_banners .housing_selector_banner_colocation {
    background-color:#f2eef5;
    color:#7a589d;
}

.housing_single .housing_single_tag_colocation {
    background-color:#f2eef5;
    color:#7a589d;
    font-size:12px;
    margin-bottom:10px;
}


.housing_selector_item .housing_area, .housing_selector_item .housing_furniture {
    font-size: 14px;
}


.housing_selector_item .housing_price {
    font-size: 13px;
}


.housing_single {
    display: none;
}

.housing_single.active {
    display: block;
}

.housing_single .housing_title, .housing_single .housing_price_text {
    font-size: 20px;
}

.housing_single .housing_description {
    width: 100%;
    font-size: 18px;
}

.housing_single .housing_price .housing_price_ttc {
    color: #7A589D;
    font-size: 25px;
}

.housing_single .housing_tag, .housing_single .housing_tag_description {
    margin-left: -1rem;
    margin-right: -1rem;
}

.housing_single .housing_tag {
    color: white;
}

.housing_single .housing_tag_description {
    color: black;
}

.housing_single .housing_fees {
    cursor: pointer;
}

.housing_single .housing_submit {
    width: 250px;
}

.housing_single .housing_price_ttc span {
    font-size: initial;
    font-weight: initial;
    text-transform: initial;
    color:initial;
}

.housing_single .housing_submit .housing_submit_text {
    font-size: 13px;
    font-family: Montserrat, sans-serif;
}

.housing_single .housing_submit  .housing_submit_button_icon {
    height: 22px;
    width: auto;
    aspect-ratio: 1 / 1;
    display: inline-block;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.button-frais-wrapper a {
    font-family: var(--font-primary);
    text-decoration: underline;
    font-size: 13px;
    cursor: pointer;
}

#fraismodal .modal-content {
    padding: 4rem 2rem;
    font-family: var(--font-primary);
}

#fraismodal .modal-content h5 {
    font-size: 32px;
    font-weight: 800;
}


.housing_graph_dpe_section {
    display: none;
}

.housing_graph_dpe_section.active {
    display: block;
}

.housing_equipments {
    display: none;
}

.housing_equipments.active {
    display: block;
}


.housing_equipments .equipments_title, .residency_equipments .equipments_title {
    font-family: var(--font-primary);
    font-size: 44px;
    font-weight: 800;
    text-transform: uppercase;
}

.housing_equipments .group_equipments, .residency_equipments .group_equipments {
    padding: 10px 30px;
    border-right: 1px solid rgba(33, 37, 41, 0.3);
}

.housing_equipments .group_equipments .group_equipments_image, .residency_equipments .group_equipments .group_equipments_image {
    max-height: 25px;
    max-width: 40px;
    margin-right: 20px;
}

.housing_equipments .group_equipments .group_equipments_title, .residency_equipments .group_equipments .group_equipments_title {
    font-family: var(--font-primary);
    font-size: 17px;
    font-weight: 800;
    text-transform: uppercase;
    color: var(--text-dark);
}

.housing_equipments .group_equipments .equipment, .residency_equipments .group_equipments .equipment {
    font-family: var(--font-primary);
    font-size: 16px;
    font-weight: 400;
    color: var(--text-dark);
    text-align: center;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    padding-bottom: 5px;
    margin-top: 5px;
    max-width: 180px;
}

.housing_equipments .group_equipments:last-child, .residency_equipments .group_equipments:last-child {
    border: none;
}


@media screen and (max-width: 991px) {
    #equipments .group_equipments {
        padding: 10px 0 20px;
    }

    #equipments .equipments_title {
        font-size: 24px;
    }

    #equipments .group_equipments .equipment {
        padding-bottom: 0;
        margin-top: 15px;
        padding-left: 0;
        max-width: 100%;
        min-width: 100%;
    }

    #equipments .group_equipments .equipments-wrapper {
        width: 100%;
    }

}

#equipments .button_p2 {
    font-family: var(--font-primary);
    font-size: 20px;
    font-weight: 800;
    padding: 4px;
    cursor: pointer;
    position: relative;
    color: black;
    width: -moz-fit-content;
    width: intrinsic;
    width: -webkit-max-content;
    line-height: 30px;
    text-transform: capitalize;
}

#equipments .button_p2:after {
    content: "";
    width: 100%;
    height: 10px;
    position: absolute;
    display: block;
    z-index: -1;
    bottom: 8px;
    left: 0;
    background-color: #fecd36;
    transition: height 0.7s ease;
}

#equipments .button_p2:hover {
    text-decoration: none;
    color: white;
    transition: all 0.3s ease;
}

#equipments .button_p2:hover:after {
    height: 65%;
}


.modal .equipments_title {
    font-family: var(--font-primary);
    font-size: 30px;
    font-weight: 700;
    text-transform: uppercase;
}

.modal .modal-header {
    border-bottom: none;
}

.modal .equipments_modal_title {
    width: 95%;
    text-align: center;
}

.modal .group_equipments {
    padding: 10px 30px;
    width: 100%;
}

.modal .group_equipments .group_equipments_image {
    max-height: 25px;
    max-width: 40px;
    margin-right: 20px;
}

.modal .group_equipments .group_equipments_title {
    font-family: var(--font-primary);
    font-size: 18px;
    font-weight: 700;
    text-transform: uppercase;
    color: var(--text-dark);
}

.modal .group_equipments .equipment {
    font-family: var(--font-primary);
    font-size: 16px;
    font-weight: 700 !important;
    color: var(--text-dark);
    margin-top: 10px;
    padding-left: 5px;
    width: 100%;
    text-align: left;
    min-width: 200px;
}

.modal .group_equipments .equipment_desc {
    font-family: var(--font-primary);
    font-size: 14px;
    font-weight: 500;
    color: #424242;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    padding-bottom: 10px;
    margin-top: 10px;
    padding-left: 5px;
    width: 100%;
    text-align: justify;
    min-width: 200px;
}

.modal .group_equipments:last-child {
    border: none;
}

.group_equipments.no-border {
    border-right: none;
}

@media screen and (max-width: 768px) {
    .modal .group_equipments {
        padding: 10px 0;
    }

    .housing_equipments .group_equipments, .residency_equipments .group_equipments {
        border-right: none;
    }
}

.modal .equipments_modal_title {
    font-size: 30px;
    font-weight: 800;
    font-family: var(--font-primary);
    text-transform: uppercase;
    color: var(--text-dark);
}


#residency_welcome {
    max-width:1920px;
}

#residency_welcome .residency_title {
    font-size: 40px;
    font-family: var(--font-primary);
}

#residency_welcome .collapsed-text {
    max-height: 630px; /* Hauteur initiale */
    overflow: hidden;
    position: relative;
    transition: max-height 0.5s ease-in-out;
}

#residency_welcome .collapsed-text.has-toggle-button::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 50px; /* Hauteur du dégradé */
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0), rgba(255, 255, 255, 1));
}

#residency_welcome .expanded-text {
    max-height: 100% !important;
    transition: max-height 0.5s ease-in-out;
}

#residency_welcome .expanded-text::after {
    display: none; /* Supprime le dégradé quand tout est affiché */
}

#carousel-residence,
[id^="carousel-housing-"] {
    max-height: 350px;

}

#carousel-residence .carousel-inner,
[id^="carousel-housing-"] .carousel-inner {
    max-height: 350px;

}

#carousel-residence .carousel-item img,
[id^="carousel-housing-"] .carousel-inner img {
    height: 350px !important;
    object-fit: cover !important;
    width: 100% !important;
}

#carousel-residence .carousel-item .sub_title,
[id^="carousel-housing-"] .carousel-inner .sub_title {
    bottom: 1.5rem;
    left: 1.5rem;
}

.sub_title {
    font-size:13px;
}




.residency_location div {
    font-size: 14px;
}

.service-card {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    word-wrap: break-word;
    box-sizing: border-box; /* Important pour inclure le padding et les bordures dans la hauteur */
    text-transform: uppercase;
    font-weight: 700;
    min-height: 80px;
}

.service-card span {
    font-size: 15px;
}

.carousel-element {
    align-items: center;
    justify-content: center;
    place-content: center;
    min-height: 520px;
}

#residency_equipments .button_see_more,
#housing_equipments .button_see_more,
.scroll-to-top-section .button_see_more {
    cursor:pointer;
    padding: 8px;
    border-radius: 4px;
    transition: 0.2s;
}

/*#residency_equipments .button_see_more:hover,*/
/*#housing_equipments .button_see_more:hover {*/
/*    background-color: black;*/
/*    color: white;*/

/*    .button_see_more_icon {*/
/*        filter: invert(1);*/
/*    }*/
/*}*/


/*#residency_equipments .button_see_more .button_see_more_icon, .housing_equipments .button_see_more .button_see_more_icon {*/
/*    height: 40px;*/
/*    width: auto;*/
/*    aspect-ratio: 1 / 1;*/
/*    display: inline-block;*/
/*    background-size: contain;*/
/*    background-repeat: no-repeat;*/
/*    background-position: center;*/
/*}*/

.button_see_more:hover {

    .button_see_more_icon {
        background-color: black !important;
        box-shadow: 0 0 0 5px black !important;
    }

    .button_see_more_icon_class {
        filter: invert(1);
    }

}

.button_see_more {
    gap: 16px;
    .button_see_more_icon {
        background-color: white;
        border: 5px solid white;
        padding: 5px;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
        transition: transform 0.2s ease, background-color 0.2s ease;
        box-shadow: 0 0 0 5px black; /* contour noir */

        @media screen and (min-width: 768px) {

        }
    }

    .button_see_more_icon_class {
        background-image: url("/wp-content/themes/twenty_campus/assets/img/plus.svg");
        width: 15px;
        height: 15px;
        fill: black;
        transition: transform 0.2s ease, fill 0.2s ease;
        aspect-ratio: 1 / 1;
        background-size: 25px;
        background-repeat: no-repeat;
        background-position: center;

        @media screen and (min-width: 768px) {
            width: 25px;
            height: 25px;
            background-size: 35px;
        }
    }

}

#residency_equipments .button_see_more .button_see_more_text, .housing_equipments .button_see_more .button_see_more_text {
    font-size:13px;
    font-weight:600;
}


.itr-legends {
    font-style: normal!important;
}

.button_see_more {
    cursor: pointer;
}

#toggleButton {
    display: none;
    cursor: pointer;
    background: transparent;
    border: none;
}


.housing_selector_item .housing_price {
    text-align: center;
}

.housing_selector_item .housing_price .separator-price {
    display: block;
}



/*Small devices (landscape phones, 576px and up)*/
@media (min-width: 576px) {
    #residency_banner .residency_name h1 {
        font-size: 30px !important;
    }
}

/*Medium devices (tablets, 768px and up)*/
@media (min-width: 768px) {
    #residency_banner .residency_name h1 {
        font-size: 40px;
        line-height: 1.5!important;
    }

    #residency_banner .residency_info {
        font-size: 15px;
    }

    #residency_banner .residency_address img {
        height: 26px;
        width: 20px;
    }

    #residency_banner .residency_virtual_visit img {
        height: 24px;
        width: 20px;
    }

    .residency_virtual_visit span {
        display: block;
    }

    .residency_location div {
        font-size: 18px;
    }

    #carousel-residence {
        max-height: 400px;

    }

    #carousel-residence .carousel-inner {
        max-height: 400px;

    }

    #carousel-residence .carousel-item img {
        height: 400px !important;
        object-fit: cover !important;
        width: 100% !important;
    }


    [id^="carousel-housing-"] {
        max-height: 700px;

    }


    [id^="carousel-housing-"] .carousel-inner {
        max-height: 700px;

    }


    [id^="carousel-housing-"] .carousel-inner img {
        height: 700px !important;
        object-fit: cover !important;
        width: 100% !important;
    }
}

/*Large devices (desktops, 992px and up)*/
@media (min-width: 992px) {
    #residency_welcome .collapsed-text {
        padding-right: 4rem;
    }

    #residency_banner .residency_name {
        width:50%!important;
    }

    #residency_equipments .button_see_more .button_see_more_text, .housing_equipments .button_see_more .button_see_more_text {
        font-size:20px;
        font-weight:900;
    }

    #residency_banner .residency_name h1 {
        font-size: 40px !important;
        line-height: 1.3 !important;
    }

    .sub_title {
        font-size:18px;
    }

    .housing_single .housing_price .housing_price_ttc {
        font-size: 35px;
    }

    .housing_single .housing_price .housing_price_ttc_reduced::after {
        border-top: 4px solid #FF6551;
    }

    #residency_banner .residency_banner {
        height: 460px;
    }

    #residency_banner .residency_address img {
        height: 30px;
        width: 36px;
    }

    #residency_banner .residency_virtual_visit img {
        height: 32px;
        width: 44px;
    }

    .housing_single .housing_submit {
        width: 80%;
    }

    .housing_single .housing_submit .housing_submit_text {
        font-size: 18px;
    }

    .housing_single .housing_submit  .housing_submit_button_icon {
        height: 30px;

    }

    .housing_single .housing_title, .housing_single .housing_price_text {
        font-size: 30px;
    }

    #housing_selector {
        margin-top: -40px !important;
        position: relative;
        z-index: 1;
    }

    .housing_selector_small {
        .housing_selector_item {
            border: 5px solid #000;
            max-width:180px;
            width: 180px;
            cursor: pointer;
            min-height: 180px;
        }

        .housing_selector_item:hover {
            border: 5px solid var(--highlight-color);
        }


        .housing_selector_item.active {
            border: 5px solid var(--highlight-color);
        }

        .housing_selector_item .housing_type {
            font-size: 17px;

        }

        .housing_selector_item .housing_area, .housing_selector_item .housing_furniture {
            font-size: 15px;
        }


        .housing_selector_item .housing_price {
            font-size: 15px;
        }
    }

    #carousel-residence,
    [id^="carousel-housing-"] {
        max-height: 450px;

    }

    #carousel-residence .carousel-inner,
    [id^="carousel-housing-"] .carousel-inner {
        max-height: 450px;

    }

    #carousel-residence .carousel-item img,
    [id^="carousel-housing-"] .carousel-inner img {
        height: 450px !important;
        object-fit: cover !important;
        width: 100% !important;
    }

/*     #residency_welcome .collapsed-text {
        max-height: 405px;
    } */


    #residency_welcome {
        padding-left: 0;
    }

}

/*X-Large devices (large desktops, 1200px and up)*/
@media (min-width: 1200px) {

    .service-card span {
        font-size: 17px;
        font-weight: 900;
    }

    #residency_banner .residency_name h1 {
        font-size: 50px !important;
        line-height: 1.3 !important;
    }


    #residency_banner .residency_info {
        font-size: 20px;
    }


    #carousel-residence,
    [id^="carousel-housing-"] {
        max-height: 540px;

    }

    #carousel-residence .carousel-inner,
    [id^="carousel-housing-"] .carousel-inner {
        max-height: 540px;

    }

    #carousel-residence .carousel-item img,
    [id^="carousel-housing-"] .carousel-inner img {
        height: 540px !important;
        object-fit: cover !important;
        width: 100% !important;
    }
}

/*XX-Large devices (larger desktops, 1400px and up)*/
@media (min-width: 1400px) {
    #housing_single .default_button {
        width: 500px;
        justify-content: center;
    }

    .service-card span {
        font-size: 20px;
        font-weight: 900;
    }

    .housing_selector_small {
        .housing_selector_item {
            max-width: 250px;
            width: 250px;
            min-height: 250px;
        }

        .housing_selector_item .housing_type {
            font-size: 24px;

        }

        .housing_selector_item .housing_area, .housing_selector_item .housing_furniture {
            font-size: 24px;
        }

        .housing_selector_item .housing_price {
            font-size: 18px;
        }

    }

    .housing_single .housing_title, .housing_single .housing_price_text {
        font-size: 40px;
    }

    .housing_single .housing_price .housing_price_ttc {
        font-size: 45px;
    }

    .housing_single .housing_description {
        width: 95%;
    }

    .housing_single .housing_submit {
        width: 60%;
    }

    #carousel-residence,
    [id^="carousel-housing-"] {
        max-height: 630px;

    }

    #carousel-residence .carousel-inner,
    [id^="carousel-housing-"] .carousel-inner {
        max-height: 630px;

    }

    #carousel-residence .carousel-item img,
    [id^="carousel-housing-"] .carousel-inner img {
        height: 630px !important;
        object-fit: cover !important;
        width: 100% !important;
    }
}

@media (min-width: 1600px) {
    .housing_selector_big {
        .housing_selector_item {
            max-width: 215px;
            width: 215px;
            min-height: 215px;
        }

        .housing_selector_item .housing_type {
            font-size: 21px;

        }

        .housing_selector_item .housing_area, .housing_selector_item .housing_furniture {
            font-size: 21px;
        }

        .housing_selector_item .housing_price {
            font-size: 17px;
        }

    }
}

